/**
 *
 */
angular.module("myApp", ["ngAnimate","ui.router","ui.bootstrap"]).config(function ($stateProvider, $urlRouterProvider, $locationProvider) {

    $locationProvider.hashPrefix('');
    $urlRouterProvider.otherwise("/employees");

    $stateProvider


        .state("employees", {
            url: "/employees",
            views: {
                "content": {
                    templateUrl: "pages/employee/employee.html",
                    controller: "employeeController"
                }
            }
        })
        .state("createEmployee", {
            url: "/createEmployee",
            params: {
                emp: null
            },
            views: {
                "content": {
                    templateUrl: "pages/employee/createEmployee.html",
                    controller: "createEmployeeController"
                }
            }
        })





});

    angular
        .module('myApp')
        .filter('lmto', lmto);

    function lmto() {
        return function(items,limit,offset){
            if(items.length > 0) {
                return items.slice(offset, offset + limit);
            } else {
                return [];
            }
        };
    }
